## net.sf.colorer.editor
Class PairMatch

    java.lang.Object
      net.sf.colorer.editor.PairMatch

public class PairMatch
extends java.lang.Object

Field Summary
`int` `eline` Ending Line of pair
`LineRegion` `end` Region's end position
`int` `pairBalance`
`int` `sline` Starting Line of pair
`LineRegion` `start`
`boolean` `topPosition` Identifies initial position of cursor in pair

Constructor Summary
`PairMatch(LineRegion start, LineRegion end, int sline, int eline, int pairBalance, boolean topPosition)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### start

    public LineRegion start

### end

    public LineRegion end

  Region's end position

### sline

    public int sline

  Starting Line of pair

### eline

    public int eline

  Ending Line of pair

### topPosition

    public boolean topPosition

  Identifies initial position of cursor in pair

### pairBalance

    public int pairBalance

Constructor Detail

### PairMatch

    public PairMatch(LineRegion start,
                     LineRegion end,
                     int sline,
                     int eline,
                     int pairBalance,
                     boolean topPosition)

Method Detail

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object obj)

Copyright © 2003 Cail Lomecb. All Rights Reserved.